You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     sunp...@freebsd.org
Last committer: br...@freebsd.org
Ident:          $FreeBSD: branches/2016Q1/www/nghttp2/Makefile 408930 
2016-02-15 14:29:20Z brnrd $
Log URL:        
http://beefy2.nyi.freebsd.org/data/101amd64-quarterly/410765/logs/nghttp2-1.7.1.log
Build URL:      
http://beefy2.nyi.freebsd.org/build.html?mastername=101amd64-quarterly&build=410765
Log:

====>> Building www/nghttp2
build started at Sat Mar 12 01:20:03 UTC 2016
port directory: /usr/ports/www/nghttp2
building for: FreeBSD 101amd64-quarterly-job-10 10.1-RELEASE-p30 FreeBSD 
10.1-RELEASE-p30 amd64
maintained by: sunp...@freebsd.org
Makefile ident:      $FreeBSD: branches/2016Q1/www/nghttp2/Makefile 408930 
2016-02-15 14:29:20Z brnrd $
Poudriere version: 3.1.12
Host OSVERSION: 1100097
Jail OSVERSION: 1001000

---Begin Environment---
SHELL=/bin/csh
UNAME_v=FreeBSD 10.1-RELEASE-p30
UNAME_r=10.1-RELEASE-p30
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
OPSYS=FreeBSD
ARCH=amd64
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/101amd64-quarterly/ref
UID=0
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
_JAVA_VERSION_LIST_REGEXP=1.6\|1.7\|1.8\|1.6+\|1.7+\|1.8+
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=nghttp2-1.7.1
OSREL=10.1
_OSRELEASE=10.1-RELEASE-p30
PYTHONBASE=/usr/local
OLDPWD=/
_SMP_CPUS=24
PWD=/usr/local/poudriere/data/.m/101amd64-quarterly/ref/.p/pool
HAVE_COMPAT_IA32_KERN=YES LINUX_OSRELEASE=2.6.32
MASTERNAME=101amd64-quarterly
SCRIPTPREFIX=/usr/local/share/poudriere
_JAVA_VENDOR_LIST_REGEXP=openjdk\|oracle\|sun
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.12
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
CONFIGURE_MAX_CMD_LEN=262144
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
_JAVA_OS_LIST_REGEXP=native\|linux
OSVERSION=1001000
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for nghttp2-1.7.1:
     ASIO=off: Asynchronous I/O support
     DOCS=on: Build and/or install documentation
     HPACK=on: Header Compression for HTTP/2.0 support
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--
--disable-python-bindings  --enable-app  --enable-examples  --with-spdylay 
--with-boost=no --enable-hpack-tools --with-jemalloc --prefix=/usr/local 
${_LATE_CONFIGURE_ARGS}
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
OPENSSL_CFLAGS="-I/usr/include"  OPENSSL_LIBS="-L/usr/lib -lcrypto -lssl"  
ZLIB_CFLAGS="-I/usr/include"  ZLIB_LIBS="-L/usr/lib -lz" MAKE=gmake 
CMAKE_PREFIX_PATH="/usr/local" PKG_CONFIG=pkgconf 
XDG_DATA_HOME=/wrkdirs/usr/ports/www/nghttp2/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/www/nghttp2/work  
HOME=/wrkdirs/usr/ports/www/nghttp2/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh CONFIG_SITE=/usr/ports/Templates/config.site 
lt_cv_sys_max_cmd_len=262144
--End CONFIGURE_ENV--

--MAKE_ENV--
OPENSSLBASE=/usr OPENSSLDIR=/etc/ssl OPENSSLINC=/usr/include 
OPENSSLLIB=/usr/lib XDG_DATA_HOME=/wrkdirs/usr/ports/www/nghttp2/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/www/nghttp2/work  
HOME=/wrkdirs/usr/ports/www/nghttp2/work TMPDIR="/tmp" NO_PIE=yes 
NO_DEBUG_FILES=yes SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe  -isystem 
/usr/local/include -fstack-protector -fno-strict-aliasing"  CPP="cpp" 
CPPFLAGS="-isystem /usr/local/include"  LDFLAGS="  -L/usr/local/lib 
-fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe  -isystem 
/usr/local/include -fstack-protector -fno-strict-aliasing  -isystem 
/usr/local/include -std=c++11"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 444"  
BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
ASIO="@comment
"
NO_ASIO=""
DOCS=""
NO_DOCS="@comment
"
HPACK=""
NO_HPACK="@comment
"
OSREL=10.1
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
GTK2_VERSION="2.10.0"
GTK3_VERSION="3.0.0"
DOCSDIR="share/doc/nghttp2"
EXAMPLESDIR="share/examples/nghttp2"
DATADIR="share/nghttp2"
WWWDIR="www/nghttp2"
ETCDIR="etc/nghttp2"
--End PLIST_SUB--

--SUB_LIST--
ASIO="@comment
"
NO_ASIO=""
DOCS=""
NO_DOCS="@comment
"
HPACK=""
NO_HPACK="@comment
"
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/nghttp2
DOCSDIR=/usr/local/share/doc/nghttp2
EXAMPLESDIR=/usr/local/share/examples/nghttp2
WWWDIR=/usr/local/www/nghttp2
ETCDIR=/usr/local/etc/nghttp2
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===>  License MIT accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   nghttp2-1.7.1 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.6.2.txz
[101amd64-quarterly-job-10] Installing pkg-1.6.2...
[101amd64-quarterly-job-10] Extracting pkg-1.6.2: .......... done
Message from pkg-1.6.2:
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   nghttp2-1.7.1 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of nghttp2-1.7.1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by nghttp2-1.7.1 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by nghttp2-1.7.1 for building
=> SHA256 Checksum OK for tatsuhiro-t-nghttp2-v1.7.1_GH0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by nghttp2-1.7.1 for building
===>  Extracting for nghttp2-1.7.1
=> SHA256 Checksum OK for tatsuhiro-t-nghttp2-v1.7.1_GH0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for nghttp2-1.7.1
===>  Applying FreeBSD patches for nghttp2-1.7.1
===========================================================================
=======================<phase: build-depends  >============================
===>   nghttp2-1.7.1 depends on package: libev>=4.15 - not found
===>   Installing existing package /packages/All/libev-4.20,1.txz
[101amd64-quarterly-job-10] Installing libev-4.20,1...
[101amd64-quarterly-job-10] Extracting libev-4.20,1: .......... done
===>   nghttp2-1.7.1 depends on package: libev>=4.15 - found
===>   Returning to build of nghttp2-1.7.1
===>   nghttp2-1.7.1 depends on package: libevent2>=2.0.8 - not found
===>   Installing existing package /packages/All/libevent2-2.0.22_1.txz
[101amd64-quarterly-job-10] Installing libevent2-2.0.22_1...
[101amd64-quarterly-job-10] Extracting libevent2-2.0.22_1: .......... done
===>   nghttp2-1.7.1 depends on package: libevent2>=2.0.8 - found
===>   Returning to build of nghttp2-1.7.1
===>   nghttp2-1.7.1 depends on package: spdylay>=1.3.0 - not found
===>   Installing existing package /packages/All/spdylay-1.3.2.txz
[101amd64-quarterly-job-10] Installing spdylay-1.3.2...
[101amd64-quarterly-job-10] `-- Installing libxml2-2.9.3...
[101amd64-quarterly-job-10] `-- Extracting libxml2-2.9.3: .......... done
[101amd64-quarterly-job-10] Extracting spdylay-1.3.2: .......... done
===>   nghttp2-1.7.1 depends on package: spdylay>=1.3.0 - found
===>   Returning to build of nghttp2-1.7.1
===>   nghttp2-1.7.1 depends on executable: autoconf-2.69 - not found
===>   Installing existing package /packages/All/autoconf-2.69.txz
[101amd64-quarterly-job-10] Installing autoconf-2.69...
[101amd64-quarterly-job-10] `-- Installing indexinfo-0.2.4...
[101amd64-quarterly-job-10] `-- Extracting indexinfo-0.2.4: .... done
[101amd64-quarterly-job-10] `-- Installing autoconf-wrapper-20131203...
[101amd64-quarterly-job-10] `-- Extracting autoconf-wrapper-20131203: ........ 
done
[101amd64-quarterly-job-10] `-- Installing perl5-5.20.3_8...
[101amd64-quarterly-job-10] `-- Extracting perl5-5.20.3_8: .......... done
[101amd64-quarterly-job-10] `-- Installing m4-1.4.17_1,1...
[101amd64-quarterly-job-10] `-- Extracting m4-1.4.17_1,1: .......... done
[101amd64-quarterly-job-10] Extracting autoconf-2.69: .......... done
Message from perl5-5.20.3_8:
The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:
<snip>
checking for memmove... (cached) yes
checking for memset... (cached) yes
checking for socket... yes
checking for sqrt... no
checking for strchr... yes
checking for strdup... (cached) yes
checking for strerror... (cached) yes
checking for strndup... (cached) yes
checking for strstr... yes
checking for strtol... (cached) yes
checking for strtoul... (cached) yes
checking for timegm... yes
checking for timerfd_create... no
checking whether initgroups is declared... no
checking linux/version.h usability... no
checking linux/version.h presence... no
checking for linux/version.h... no
checking for Linux epoll(7) interface... no
checking whether C compiler accepts -fvisibility=hidden... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating lib/Makefile
config.status: creating lib/libnghttp2.pc
config.status: creating lib/includes/Makefile
config.status: creating lib/includes/nghttp2/nghttp2ver.h
config.status: creating tests/Makefile
config.status: creating tests/testdata/Makefile
config.status: creating third-party/Makefile
config.status: creating src/Makefile
config.status: creating src/includes/Makefile
config.status: creating src/libnghttp2_asio.pc
config.status: creating examples/Makefile
config.status: creating python/Makefile
config.status: creating python/setup.py
config.status: creating integration-tests/Makefile
config.status: creating integration-tests/config.go
config.status: creating integration-tests/setenv
config.status: creating doc/Makefile
config.status: creating doc/conf.py
config.status: creating doc/index.rst
config.status: creating doc/package_README.rst
config.status: creating doc/tutorial-client.rst
config.status: creating doc/tutorial-server.rst
config.status: creating doc/tutorial-hpack.rst
config.status: creating doc/nghttpx-howto.rst
config.status: creating doc/h2load-howto.rst
config.status: creating doc/libnghttp2_asio.rst
config.status: creating doc/python-apiref.rst
config.status: creating doc/building-android-binary.rst
config.status: creating doc/nghttp2.h.rst
config.status: creating doc/nghttp2ver.h.rst
config.status: creating doc/asio_http2.h.rst
config.status: creating doc/asio_http2_server.h.rst
config.status: creating doc/asio_http2_client.h.rst
config.status: creating doc/contribute.rst
config.status: creating contrib/Makefile
config.status: creating script/Makefile
config.status: creating config.h
config.status: executing libtool commands
config.status: executing depfiles commands
configure: summary of build options:

    Package version: 1.7.1
    Library version: 18:1:4
    Install prefix:  /usr/local
    System types:
      Build:         amd64-portbld-freebsd10.1
      Host:          amd64-portbld-freebsd10.1
      Target:        amd64-portbld-freebsd10.1
    Compiler:
      C compiler:     cc
      CFLAGS:         -O2 -pipe  -isystem /usr/local/include -fstack-protector 
-fno-strict-aliasing
      LDFLAGS:          -L/usr/local/lib -fstack-protector
      C++ compiler:   c++
      CXXFLAGS:       -O2 -pipe  -isystem /usr/local/include -fstack-protector 
-fno-strict-aliasing  -isystem /usr/local/include -std=c++11
      CXXCPP:         c++ -E
      C preprocessor: cpp
      CPPFLAGS:       -isystem /usr/local/include
      WARNCFLAGS:     
      EXTRACFLAG:     -fvisibility=hidden
      LIBS:           
    Library:
      Shared:         yes
      Static:         yes
    Python:
      Python:         :
      PYTHON_VERSION: 
      pyexecdir:      
      Python-dev:     
      PYTHON_CPPFLAGS:
      PYTHON_LDFLAGS: 
      Cython:         
    Test:
      CUnit:          no (CFLAGS='' LIBS='')
      Failmalloc:     yes
    Libs:
      OpenSSL:        yes (CFLAGS='-I/usr/include' LIBS='-L/usr/lib -lcrypto 
-lssl')
      Libxml2:        yes (CFLAGS='-I/usr/local/include/libxml2 -I/usr/include' 
LIBS='-L/usr/local/lib -lxml2 -lz -L/usr/lib -lm')
      Libev:          yes (CFLAGS='' LIBS='-lev')
      Libevent(SSL):  yes (CFLAGS='-I/usr/local/include  ' 
LIBS='-L/usr/local/lib -levent_openssl -levent  ')
      Spdylay:        yes (CFLAGS='-I/usr/local/include  ' 
LIBS='-L/usr/local/lib -lspdylay  ')
      Jansson:        yes (CFLAGS='-I/usr/local/include  ' 
LIBS='-L/usr/local/lib -ljansson  ')
      Jemalloc:       yes (LIBS='')
      Zlib:           yes (CFLAGS='-I/usr/include' LIBS='-L/usr/lib -lz')
      Boost CPPFLAGS: 
      Boost LDFLAGS:  
      Boost::ASIO:    
      Boost::System:  
      Boost::Thread:  
    Third-party:
      http-parser:    yes
      MRuby:          no (CFLAGS='' LIBS='')
      Neverbleed:     no
    Features:
      Applications:   yes
      HPACK tools:    yes
      Libnghttp2_asio:no
      Examples:       yes
      Python bindings:no
      Threading:      yes

===========================================================================
=======================<phase: build          >============================
===>  Building for nghttp2-1.7.1
gmake[1]: Entering directory '/wrkdirs/usr/ports/www/nghttp2/work/nghttp2-1.7.1'
gmake  all-recursive
gmake[2]: Entering directory '/wrkdirs/usr/ports/www/nghttp2/work/nghttp2-1.7.1'
Making all in lib
gmake[3]: Entering directory 
'/wrkdirs/usr/ports/www/nghttp2/work/nghttp2-1.7.1/lib'
Making all in includes
gmake[4]: Entering directory 
'/wrkdirs/usr/ports/www/nghttp2/work/nghttp2-1.7.1/lib/includes'
gmake[4]: Nothing to be done for 'all'.
gmake[4]: Leaving directory 
'/wrkdirs/usr/ports/www/nghttp2/work/nghttp2-1.7.1/lib/includes'
gmake[4]: Entering directory 
'/wrkdirs/usr/ports/www/nghttp2/work/nghttp2-1.7.1/lib'
  CC       nghttp2_pq.lo
  CC       nghttp2_map.lo
  CC       nghttp2_queue.lo
  CC       nghttp2_frame.lo
  CC       nghttp2_buf.lo
  CC       nghttp2_stream.lo
  CC       nghttp2_outbound_item.lo
  CC       nghttp2_session.lo
  CC       nghttp2_submit.lo
  CC       nghttp2_helper.lo
  CC       nghttp2_npn.lo
  CC       nghttp2_hd.lo
  CC       nghttp2_hd_huffman.lo
  CC       nghttp2_hd_huffman_data.lo
  CC       nghttp2_version.lo
  CC       nghttp2_priority_spec.lo
  CC       nghttp2_option.lo
  CC       nghttp2_callbacks.lo
  CC       nghttp2_mem.lo
  CC       nghttp2_http.lo
  CCLD     libnghttp2.la
gmake[4]: Leaving directory 
'/wrkdirs/usr/ports/www/nghttp2/work/nghttp2-1.7.1/lib'
gmake[3]: Leaving directory 
'/wrkdirs/usr/ports/www/nghttp2/work/nghttp2-1.7.1/lib'
Making all in third-party
gmake[3]: Entering directory 
'/wrkdirs/usr/ports/www/nghttp2/work/nghttp2-1.7.1/third-party'
  CC       http-parser/http_parser.lo
  CCLD     libhttp-parser.la
gmake[3]: Leaving directory 
'/wrkdirs/usr/ports/www/nghttp2/work/nghttp2-1.7.1/third-party'
Making all in src
gmake[3]: Entering directory 
'/wrkdirs/usr/ports/www/nghttp2/work/nghttp2-1.7.1/src'
Making all in includes
gmake[4]: Entering directory 
'/wrkdirs/usr/ports/www/nghttp2/work/nghttp2-1.7.1/src/includes'
gmake[4]: Nothing to be done for 'all'.
gmake[4]: Leaving directory 
'/wrkdirs/usr/ports/www/nghttp2/work/nghttp2-1.7.1/src/includes'
gmake[4]: Entering directory 
'/wrkdirs/usr/ports/www/nghttp2/work/nghttp2-1.7.1/src'
  CXX      libnghttpx_a-util.o
  CXX      libnghttpx_a-http2.o
  CC       libnghttpx_a-timegm.o
  CXX      libnghttpx_a-app_helper.o
  CXX      libnghttpx_a-ssl.o
  CXX      libnghttpx_a-shrpx_config.o
In file included from shrpx_config.cc:42:
/usr/include/unistd.h:512:6: error: declaration of 'initgroups' has a different 
language linkage
int      initgroups(const char *, gid_t);
         ^
./shrpx.h:48:12: note: previous definition is here
inline int initgroups(const char *user, gid_t group) { return 0; }
           ^
1 error generated.
Makefile:1542: recipe for target 'libnghttpx_a-shrpx_config.o' failed
gmake[4]: *** [libnghttpx_a-shrpx_config.o] Error 1
gmake[4]: Leaving directory 
'/wrkdirs/usr/ports/www/nghttp2/work/nghttp2-1.7.1/src'
Makefile:2380: recipe for target 'all-recursive' failed
gmake[3]: *** [all-recursive] Error 1
gmake[3]: Leaving directory 
'/wrkdirs/usr/ports/www/nghttp2/work/nghttp2-1.7.1/src'
Makefile:554: recipe for target 'all-recursive' failed
gmake[2]: *** [all-recursive] Error 1
gmake[2]: Leaving directory '/wrkdirs/usr/ports/www/nghttp2/work/nghttp2-1.7.1'
Makefile:463: recipe for target 'all' failed
gmake[1]: *** [all] Error 2
gmake[1]: Leaving directory '/wrkdirs/usr/ports/www/nghttp2/work/nghttp2-1.7.1'
*** Error code 1

Stop.
make: stopped in /usr/ports/www/nghttp2
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to